Download it now!
Bug 86734 - FILEOPEN: xlsb: missing formula based cells
Summary: FILEOPEN: xlsb: missing formula based cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.6.3 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.5.0 target:4.4.0.2 target:4...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-11-26 10:19 UTC by Angel Inkov
Modified: 2015-01-08 13:45 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample xlsb file with failed formulas (184.53 KB, application/vnd.ms-excel.sheet.binary.macroEnabled.12)
2014-11-26 10:19 UTC, Angel Inkov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Angel Inkov 2014-11-26 10:19:35 UTC
Created attachment 110051 [details]
Sample xlsb file with failed formulas

Hi all,

When I open the attached xlsb file, the cells which are defined as formula are missing. (These are in columns E, F and G in the attached file). When I open the same xlsb file in Microsoft Excel, it's ok.

I tried several versions of Libreoffice (4.2.7, 4.3.4, 4.4.0 beta1 and the latest nightly build) but it's all the same.

Thanks.
Comment 1 MM 2014-11-26 19:31:19 UTC
Confirmed with v4.3.4.1 under windows7 x64.
Confirmed with v4.3.4.1 under mint 17 x64.
Unconfirmed with v4.1.6.2 under mint 16 x64.
Works fine with the 4.1 branch, not with the 4.2 branch or higher.

Set to ALL, regression.
Comment 2 Markus Mohrhard 2014-12-22 21:24:06 UTC
That affects all shared formulas (formula groups in calc).
Comment 3 Commit Notification 2014-12-24 03:29:24 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1351ed4c5f9152c80b32bbaa53e3eff56671331

reimplement shared formula import for xlsb, fdo#86734

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-12-24 03:29:27 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4bc2212a048cde9fc17728eaad4d8637468c1586

add test for fdo#86734

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-01-07 14:24:40 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98aae6bbf45e96267489198db5a9e5c8631d06dd&h=libreoffice-4-4

reimplement shared formula import for xlsb, fdo#86734

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-01-08 13:45:46 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c931268890fdd0e9aec1bdab939495f299e11011&h=libreoffice-4-3

reimplement shared formula import for xlsb, fdo#86734

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.